﻿using System;
using System.Collections.Generic;

namespace WorkWithDatabase.Models;

public partial class Teacher
{
    public int IdTeacher { get; set; }

    public string? Surname { get; set; }

    public string? Name { get; set; }

    public string? Patronymic { get; set; }

    public int Gender { get; set; }

    public DateTime? Birthday { get; set; }

    public int? Experience { get; set; }

    public string? Email { get; set; }

    public string? Phone { get; set; }

    public virtual Gender GenderNavigation { get; set; } = null!;

    public virtual ICollection<TeacherCourse> TeacherCourses { get; set; } = new List<TeacherCourse>();

    public virtual ICollection<TeacherSubject> TeacherSubjects { get; set; } = new List<TeacherSubject>();
}
